<script >

import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  name:"EnergyFeed",
  components:{
    Select,
    SvgIcon
  },
  data(){
    return {
      show_menage_icon:true,
      show_menage_icon1:false,
      selectOptions: {
        first: ["标准", "较大"],
        second: ["标准", "动态"],
        third: ["舒适", "运动"],
        fourth: ["舒适", "运动"],
      },
      selectedIndex: {
        first: 0,
        second: 0,
        third: 0,
        fourth: 0,
      },
    }
  },
  methods:{
    changeSelectIndex(index, data) {
      if(data ==="first"){
        this.show_menage_icon=index[0] === 0;
      }
      if(data ==="second"){
        this.show_menage_icon1=index[0] === 1;
      }
      console.log(index[0], data);
      this.selectedIndex[data] = index[0];
    },
  }
}
</script>

<template>
  <div class="dilink-11">
    <div class="select-body">
      <div class="select-group">
        <div class="select-title">能量回馈强度</div>
        <div class="slecet-warp">
          <Select
              :selectedIndex="selectedIndex.first"
              :options="selectOptions.first"
              @changeIndex="changeSelectIndex(arguments, 'first')"
          ></Select>
        </div>
      </div>
      <div class="select-group">
        <div class="select-title">续航里程显示模式</div>
        <div class="slecet-warp">
          <Select
              :selectedIndex="selectedIndex.second"
              :options="selectOptions.second"
              @changeIndex="changeSelectIndex(arguments, 'second')"
          ></Select>
        </div>
      </div>
    </div>
    <img
        src="../../assets/images/setting/setting_dianchi.webp"
        alt=""
        srcset=""
        class="dilink-11-img"
    />
    <div class="menage_ic" >
      <div v-show="!show_menage_icon&&!this.show_menage_icon1" class="menage_ic">
        <SvgIcon  :width=42 :height=58 class="" icon-class="menage_icon1"></SvgIcon>
      </div>
      <div  v-show="show_menage_icon&&!this.show_menage_icon1">
        <SvgIcon :width=42 :height=58 class="" icon-class="menage_icon3"></SvgIcon>
      </div>
      <div  v-show="show_menage_icon1">
        <SvgIcon :width=59 :height=87 class="" icon-class="menage_icon2"></SvgIcon>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.menage_ic{
  position: absolute;
  right: 0;
  top: 8px;
  opacity: 1;
}
.dilink-11 {
  position: relative;
  .dilink-11-img {
    width: 830px;
    height: 582px;
    position: absolute;
    right: 0;
    top: 0;
  }
  .select-body {
    width: 688px;
    .card-container {
      margin-bottom: 14px;
    }
    .select-group {
      width: 688px;
      height: 210px;
      border-radius: 16px;
      box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
      background: #ffffff;
      display: flex;
      flex-direction: column;
      padding: 39px 42px 45px 44px;
      box-sizing: border-box;
      margin-bottom: 14px;
      .select-title {
        font-size: 28px;
        font-weight: 400;
        color: #090909;
        line-height: 33px;
        letter-spacing: 1px;
      }
      .slecet-warp {
        width: 602px;
        height: 68px;
        margin-top: 25px;
      }
    }
  }
}
</style>